package com.silence.game;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import androidx.core.app.NotificationManagerCompat;
import java.util.Random;

public class Egg {
    RectF Box;
    int X;
    int Y;
    Rect box;
    int col;
    Random r;
    int row;
    int screenH;
    int screenW;
    int size = 40;

    public Egg() {
        Random random = new Random();
        this.r = random;
        this.row = random.nextInt(25);
        this.col = this.r.nextInt(15);
        this.screenW = GameActivity.screenW;
        int i = GameActivity.screenH;
        this.screenH = i;
        this.X = (i + NotificationManagerCompat.IMPORTANCE_UNSPECIFIED) / 2;
        this.Y = (this.screenW - 600) / 2;
    }

    public void reShow() {
        this.row = this.r.nextInt(25);
        this.col = this.r.nextInt(15);
    }

    public Rect getRect() {
        int i = this.col;
        int i2 = this.size;
        int i3 = this.Y;
        int i4 = this.row;
        int i5 = this.X;
        return new Rect(((i - 1) * i2) + i3, ((i4 - 1) * i2) + i5, (i * i2) + i3, (i4 * i2) + i5);
    }

    public void draw(Paint paint, Canvas canvas) {
        paint.setColor(-1);
        int i = this.col;
        int i2 = this.size;
        int i3 = this.Y;
        int i4 = this.row;
        int i5 = this.X;
        this.box = new Rect(((i - 1) * i2) + i3 + 5, ((i4 - 1) * i2) + i5 + 5, ((i * i2) + i3) - 5, ((i4 * i2) + i5) - 5);
        RectF rectF = new RectF(this.box);
        this.Box = rectF;
        canvas.drawOval(rectF, paint);
    }
}
