package com.uber.autodispose;

import java.util.Objects;

/* access modifiers changed from: package-private */
public final class AutoDisposeUtil {
    private AutoDisposeUtil() {
        throw new InstantiationError();
    }

    static <T> T checkNotNull(T t, String str) {
        Objects.requireNonNull(t, str);
        return t;
    }
}
