package com.silence.network;

import android.text.TextUtils;
import com.silence.utils.OoOO;
import java.net.Proxy;
import java.util.concurrent.TimeUnit;
import okhttp3.Interceptor;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import retrofit2.Retrofit;
import retrofit2.adapter.rxjava2.RxJava2CallAdapterFactory;
import retrofit2.converter.gson.GsonConverterFactory;
import retrofit2.converter.scalars.ScalarsConverterFactory;

public class RetrofitHelper {
    public static String baseUrl;
    private static volatile RetrofitHelper instance;
    private final Retrofit.Builder retrofitBuilder;

    public Retrofit getRetrofit() {
        if (OoOO.OOOOOooo() || OoOO.ooO()) {
            return null;
        }
        return getRetrofit(null);
    }

    public Retrofit getRetrofit(String str) {
        if (TextUtils.isEmpty(str)) {
            return this.retrofitBuilder.baseUrl(baseUrl).build();
        }
        return this.retrofitBuilder.baseUrl(str).build();
    }

    private RetrofitHelper() {
        baseUrl = "http://47.93.244.181/re/";
        OkHttpClient.Builder builder = new OkHttpClient.Builder();
        builder.addInterceptor(getRequestInterceptor()).addInterceptor(getHeaderInterceptor()).connectTimeout(10, TimeUnit.SECONDS).readTimeout(45, TimeUnit.SECONDS).writeTimeout(45, TimeUnit.SECONDS).retryOnConnectionFailure(true);
        OkHttpClient build = builder.proxy(Proxy.NO_PROXY).build();
        Retrofit.Builder builder2 = new Retrofit.Builder();
        this.retrofitBuilder = builder2;
        builder2.client(build).addConverterFactory(ScalarsConverterFactory.create()).addConverterFactory(GsonConverterFactory.create()).addCallAdapterFactory(RxJava2CallAdapterFactory.create());
    }

    public static RetrofitHelper getInstance() {
        if (instance == null) {
            synchronized (RetrofitHelper.class) {
                if (instance == null) {
                    instance = new RetrofitHelper();
                }
            }
        }
        return instance;
    }

    private Interceptor getHeaderInterceptor() {
        return RetrofitHelper$$ExternalSyntheticLambda0.INSTANCE;
    }

    static /* synthetic */ Response lambda$getHeaderInterceptor$0(Interceptor.Chain chain) {
        Request request = chain.request();
        Request.Builder newBuilder = request.newBuilder();
        newBuilder.method(request.method(), request.body());
        return chain.proceed(newBuilder.build());
    }

    private Interceptor getRequestInterceptor() {
        return RetrofitHelper$$ExternalSyntheticLambda1.INSTANCE;
    }
}
