package com.silence.scoreboard.databinding;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import android.widget.LinearLayout;
import androidx.viewbinding.ViewBinding;
import androidx.viewbinding.ViewBindings;
import com.silence.scoreboard.R;

public final class ActivityRegisterBinding implements ViewBinding {
    public final EditText accountReg;
    public final EditText passwordReg;
    public final Button register;
    private final LinearLayout rootView;
    public final EditText usernameReg;

    private ActivityRegisterBinding(LinearLayout linearLayout, EditText editText, EditText editText2, Button button, EditText editText3) {
        this.rootView = linearLayout;
        this.accountReg = editText;
        this.passwordReg = editText2;
        this.register = button;
        this.usernameReg = editText3;
    }

    @Override // androidx.viewbinding.ViewBinding
    public LinearLayout getRoot() {
        return this.rootView;
    }

    public static ActivityRegisterBinding inflate(LayoutInflater layoutInflater) {
        return inflate(layoutInflater, null, false);
    }

    public static ActivityRegisterBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z) {
        View inflate = layoutInflater.inflate(R.layout.activity_register, viewGroup, false);
        if (z) {
            viewGroup.addView(inflate);
        }
        return bind(inflate);
    }

    public static ActivityRegisterBinding bind(View view) {
        int i = R.id.account_reg;
        EditText editText = (EditText) ViewBindings.findChildViewById(view, R.id.account_reg);
        if (editText != null) {
            i = R.id.password_reg;
            EditText editText2 = (EditText) ViewBindings.findChildViewById(view, R.id.password_reg);
            if (editText2 != null) {
                i = R.id.register;
                Button button = (Button) ViewBindings.findChildViewById(view, R.id.register);
                if (button != null) {
                    i = R.id.username_reg;
                    EditText editText3 = (EditText) ViewBindings.findChildViewById(view, R.id.username_reg);
                    if (editText3 != null) {
                        return new ActivityRegisterBinding((LinearLayout) view, editText, editText2, button, editText3);
                    }
                }
            }
        }
        throw new NullPointerException("Missing required view with ID: ".concat(view.getResources().getResourceName(i)));
    }
}
