package com.silence.scoreboard.databinding;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import androidx.viewbinding.ViewBinding;
import androidx.viewbinding.ViewBindings;
import com.silence.scoreboard.R;

public final class WelcomeBinding implements ViewBinding {
    public final ImageButton exitbutton;
    public final ImageView imageView1;
    private final RelativeLayout rootView;
    public final ImageButton startbutton;
    public final RelativeLayout welocomeLayout;

    private WelcomeBinding(RelativeLayout relativeLayout, ImageButton imageButton, ImageView imageView, ImageButton imageButton2, RelativeLayout relativeLayout2) {
        this.rootView = relativeLayout;
        this.exitbutton = imageButton;
        this.imageView1 = imageView;
        this.startbutton = imageButton2;
        this.welocomeLayout = relativeLayout2;
    }

    @Override // androidx.viewbinding.ViewBinding
    public RelativeLayout getRoot() {
        return this.rootView;
    }

    public static WelcomeBinding inflate(LayoutInflater layoutInflater) {
        return inflate(layoutInflater, null, false);
    }

    public static WelcomeBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z) {
        View inflate = layoutInflater.inflate(R.layout.welcome, viewGroup, false);
        if (z) {
            viewGroup.addView(inflate);
        }
        return bind(inflate);
    }

    public static WelcomeBinding bind(View view) {
        int i = R.id.exitbutton;
        ImageButton imageButton = (ImageButton) ViewBindings.findChildViewById(view, R.id.exitbutton);
        if (imageButton != null) {
            i = R.id.imageView1;
            ImageView imageView = (ImageView) ViewBindings.findChildViewById(view, R.id.imageView1);
            if (imageView != null) {
                i = R.id.startbutton;
                ImageButton imageButton2 = (ImageButton) ViewBindings.findChildViewById(view, R.id.startbutton);
                if (imageButton2 != null) {
                    RelativeLayout relativeLayout = (RelativeLayout) view;
                    return new WelcomeBinding(relativeLayout, imageButton, imageView, imageButton2, relativeLayout);
                }
            }
        }
        throw new NullPointerException("Missing required view with ID: ".concat(view.getResources().getResourceName(i)));
    }
}
